Subject: Re: [PATCH net-next v2 2/2] net: dsa: mv88e6xxx: Clear the PDOWN bit on setup

From: Andrew Lunn <[email-masked]>
Date: Tue, 29 Mar 2016 18:28:25 +0200

On Tue, Mar 29, 2016 at 12:23:06PM -0400, Vivien Didelot wrote:
> Hi Patrick,
> 
> Two comments below.
> 
> Patrick Uiterwijk <[email-masked]> writes:
> 
> > +static int mv88e6xxx_power_on_serdes(struct dsa_switch *ds)
> 
> Since this function assumes the SMI lock is already held, its name
> should be prefixed with _ by convention (_mv88e6xxx_power_on_serdes).

We decided to drop at, since nearly everything would end up with a _
prefix. The assert_smi_lock() should find any missing locks, and
lockdep/deadlocks will make it clear when the lock is taken twice.

	  Andrew